ranges::v3::action::take_while_fn Struct Reference

## Synopsis of methods

constexpr action< take_while_fn > | take_while {}

## Instances and minimal complete definitions

struct | ConceptImpl

## Public Types

template<typename Rng , typename Fun >
using | Concept = concepts::models< ConceptImpl, Rng, Fun >

## Public Member Functions

template<typename Rng , typename Fun , requires = (Concept<Rng, Fun>())>
Rng | operator() (Rng &&rng, Fun fun) const